summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-client/vivaldi-snapshot')
-rw-r--r--www-client/vivaldi-snapshot/Manifest4
-rw-r--r--www-client/vivaldi-snapshot/vivaldi-snapshot-3.4.2049.2_p1.ebuild116
2 files changed, 120 insertions, 0 deletions
diff --git a/www-client/vivaldi-snapshot/Manifest b/www-client/vivaldi-snapshot/Manifest
index 2d011fa2a17..4305cfc9d6e 100644
--- a/www-client/vivaldi-snapshot/Manifest
+++ b/www-client/vivaldi-snapshot/Manifest
@@ -10,3 +10,7 @@ DIST vivaldi-snapshot-3.4.2038.4_p1-amd64.deb 75820936 BLAKE2B 60a31d0e1a4b5a847
DIST vivaldi-snapshot-3.4.2038.4_p1-arm64.deb 69128664 BLAKE2B 9ad581e07dc5edb467bbd518fa28edab3c481613fc2204f2c419f6bcc43b28109f6c2311e8556c980209a030fc8c24d5d5a5f4cdf2b769b009802ce1b4f89dae SHA512 2821c4617f6aa4eb0e48ec4fe1e0772dcbbea1368484e9bfc1e83fc1d9070ee48cb63dd2b606b65d366384393ccae5f691e0a0be8b5aca0aa11a3f931ec919e5
DIST vivaldi-snapshot-3.4.2038.4_p1-armhf.deb 68167016 BLAKE2B 90cd1e2f3fce532336c14347a5f7dca318a970c07d0c199270e21835208bf58c793dea5a1fa50d158e3b59212fdff65fedef8a8910b42500c74126ee40ead3e2 SHA512 3576175e00311a6a07994910fcff0f177ec3f675be0d24ad6164310bbf37e064a9c513c37a004141714c5bc194951f4d2524d4a291d587df6780a3860f233e4e
DIST vivaldi-snapshot-3.4.2038.4_p1-i386.deb 73993612 BLAKE2B b624959013d81360e056de4cf596bca5efe5557f67587d13c1c48bf1ebf522a6be13fde2ef24cdb788d67688db2ed942d2dd4d5f24318fc9c459aee70a5d4d6d SHA512 a88b75a5dbf340c4fc951f75fefcbed5dc49bfb0b4480d8ccdf97415dc4c2c487bef3824f2d578dde57a983b49376e189d6863c9700dc0bd7683a0a0915e8558
+DIST vivaldi-snapshot-3.4.2049.2_p1-amd64.deb 73500204 BLAKE2B 77ddd6b14291a85751bb411fd0c31985ba3ab448bde5f45f371342a1bed59b45d7199ec38ef3a414b62a62bf88a23ce074363f4b5ddd23cfcabd015a6c47aef0 SHA512 6e1a3fd8090793028a36e9983a5885498b89afb39b062217ba409c49cc19b00d544bf5af1baebe9c097b3f0bf560d4cbc7a261c75498de87e1ac548ba475eea2
+DIST vivaldi-snapshot-3.4.2049.2_p1-arm64.deb 65898224 BLAKE2B 63b75e0f9c8407837c536ee0f471e625e43cafe6c28d468653d65f2b48f8da0fb316031408e98cd4d5a3c8f4d6ba3217ec1e28291c5d049d196431a2eb014017 SHA512 b4022083a406655699c4414542099b7e057c08b09dbc30d62c92e0dbfa7e2bec5fbf0965140d9d81cf5d3715f581b4b0d15e91736340a821dc2cc580c5edf229
+DIST vivaldi-snapshot-3.4.2049.2_p1-armhf.deb 64892132 BLAKE2B a172cf9adf32abbd3193fca7fbabffec373d68318681038721b49ee3f91ce53c8623ec1f6c1c6cad8fbdb8cf4a9360089b597847d4d5540055e096beccf1ad7d SHA512 f4cc934349c6abbdab98b5feec593477257539069ff316df82f202a0ab6214abe8ba8a7efa6b3b02c22393ebb12367ddc38c6ced26f68c6abee0255745f68ec4
+DIST vivaldi-snapshot-3.4.2049.2_p1-i386.deb 70673824 BLAKE2B 2895ec5606727315ca67894b2a29e4ae1a747a09d47bc69da276ec026d9ab6c773d8abef66cca9d94632ebc7f3658c0086d76d9696359aef8e19a2bf35ba741f SHA512 ae5c7d2fee224a229266affc6dede97a033b387d5f796d933f5a37a0394e1c954d8a3a2dc4f2674abf69096af8023d7bad274bde5d91ecc17662e0656bfb74b2
diff --git a/www-client/vivaldi-snapshot/vivaldi-snapshot-3.4.2049.2_p1.ebuild b/www-client/vivaldi-snapshot/vivaldi-snapshot-3.4.2049.2_p1.ebuild
new file mode 100644
index 00000000000..db3613b057e
--- /dev/null
+++ b/www-client/vivaldi-snapshot/vivaldi-snapshot-3.4.2049.2_p1.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+CHROMIUM_LANGS="
+ af am ar be bg bn ca cs da de de-CH el en-GB en-US eo es es-419 es-PE et eu
+ fa fi fil fr fy gd gl gu he hi hr hu hy id io is it ja jbo ka kn ko ku lt
+ lv mk ml mr ms nb nl nn pl pt-BR pt-PT ro ru sc sk sl sq sr sv sw ta te th
+ tr uk vi zh-CN zh-TW
+"
+inherit chromium-2 multilib unpacker toolchain-funcs xdg-utils
+
+VIVALDI_HOME="opt/${PN}"
+DESCRIPTION="A browser for our friends"
+HOMEPAGE="https://vivaldi.com/"
+VIVALDI_BASE_URI="https://downloads.vivaldi.com/snapshot/${PN}_${PV/_p/-}_"
+SRC_URI="
+ amd64? ( ${VIVALDI_BASE_URI}amd64.deb -> ${P}-amd64.deb )
+ arm64? ( ${VIVALDI_BASE_URI}arm64.deb -> ${P}-arm64.deb )
+ arm? ( ${VIVALDI_BASE_URI}armhf.deb -> ${P}-armhf.deb )
+ x86? ( ${VIVALDI_BASE_URI}i386.deb -> ${P}-i386.deb )
+"
+
+LICENSE="Vivaldi"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~arm ~arm64 ~x86"
+RESTRICT="bindist mirror"
+
+DEPEND="
+ virtual/libiconv
+"
+RDEPEND="
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ media-libs/speex
+ net-print/cups
+ sys-apps/dbus
+ sys-libs/libcap
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/pango[X]
+"
+QA_PREBUILT="*"
+S=${WORKDIR}
+
+src_unpack() {
+ unpack_deb ${A}
+}
+
+src_prepare() {
+ iconv -c -t UTF-8 usr/share/applications/${PN}.desktop > "${T}"/${PN}.desktop || die
+ mv "${T}"/${PN}.desktop usr/share/applications/${PN}.desktop || die
+
+ mv usr/share/doc/${PN} usr/share/doc/${PF} || die
+ chmod 0755 usr/share/doc/${PF} || die
+
+ gunzip usr/share/doc/${PF}/changelog.gz || die
+
+ rm \
+ _gpgbuilder \
+ etc/cron.daily/${PN} \
+ || die
+ rmdir \
+ etc/cron.daily/ \
+ etc/ \
+ || die
+
+ local c d
+ for d in 16 22 24 32 48 64 128 256; do
+ mkdir -p usr/share/icons/hicolor/${d}x${d}/apps || die
+ cp \
+ ${VIVALDI_HOME}/product_logo_${d}.png \
+ usr/share/icons/hicolor/${d}x${d}/apps/${PN}.png || die
+ done
+
+ pushd "${VIVALDI_HOME}/locales" > /dev/null || die
+ chromium_remove_language_paks
+ popd > /dev/null || die
+
+ eapply_user
+}
+
+src_install() {
+ rm -r usr/share/appdata || die
+ mv * "${D}" || die
+ dosym /${VIVALDI_HOME}/${PN} /usr/bin/${PN}
+
+ fperms 4711 /${VIVALDI_HOME}/vivaldi-sandbox
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}